GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
pollset.h File Reference
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/time.h>`

Go to the source code of this file.

## Functions
void | grpc_pollset_init (grpc_pollset *pollset)
void | grpc_pollset_shutdown (grpc_pollset *pollset, void(*shutdown_done)(void *arg), void *shutdown_done_arg)
void | grpc_pollset_destroy (grpc_pollset *pollset)
int | grpc_pollset_work (grpc_pollset *pollset, gpr_timespec deadline)
void | grpc_pollset_kick (grpc_pollset *pollset)

## Function Documentation

void grpc_pollset_destroy | ( | grpc_pollset * | pollset | ) |

void grpc_pollset_init | ( | grpc_pollset * | pollset | ) |

void grpc_pollset_kick | ( | grpc_pollset * | pollset | ) |

void grpc_pollset_shutdown | ( | grpc_pollset * | pollset,
|  | void(*)(void *arg) | shutdown_done,
|  | void * | shutdown_done_arg
| ) |  |

int grpc_pollset_work | ( | grpc_pollset * | pollset,
|  | gpr_timespec | deadline
| ) |  |